# Tomcat
server:
  tomcat:
    uri-encoding: UTF-8
    threads:
      max: 1000
      min-spare: 30
  port: 18080
  servlet:
    context-path: /flxai
    session:
      cookie:
        http-only: true

spring:
  application:
    name: flxai
  profiles:
    active: dev
  messages:
    encoding: UTF-8
    basename: i18n/messages
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  mvc:
    pathmatch:
      matching-strategy: ANT_PATH_MATCHER
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
      enabled: true

management:
  endpoints:
    web:
      exposure:
        include: '*'
      base-path: /actuator
    enabled-by-default: on

mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  typeAliasesPackage: com.pjilisense.flxai.entity
  configLocation: classpath:/mybatis-config.xml
  global-config:
    db-config:
      id-type: ASSIGN_ID
      #logic-delete-field: isDeleted
      #logic-delete-value: 1
      #logic-not-delete-value: 0
    banner: false
  #configuration:
    #log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    #map-underscore-to-camel-case: true
    #cache-enabled: false
    #call-setters-on-nulls: true
    #jdbc-type-for-null: 'null'
  configuration-properties:
    prefix:
    blobType: BLOB
    boolValue: TRUE
file:
  common:
    ## windows系统下访问路径
    uploadWindow: d:/ceshi/sysfile
    ## Linux系统下访问路径
    uploadLinux: /user/img/
    uploadUrl: /upload/
